package de.sebse.fuplanner2.database

import androidx.room.*

@Dao
interface CacheDao {
    @Query("SELECT * FROM cache WHERE uid = :uid AND type = :type")
    fun getCache(uid: String, type: String): Cache?

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insert(cache: Cache)

    @Delete()
    fun delete(cache: Cache)
}